<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quiz Vue JS</title>
</head>
<body>
    
    <div id="app">
        <ul> 
            <li v-for="user in users" >
                {{ user }}
                
            </li>
        </ul>
        <br>

        <label for="">Add User</label><br>
        <input type="text" v-model="content">
        <button @click="addUser">Add</button>
        
        <br>
        <ul> 
            <li v-for="(user, index) in users">
                {{ user }}
                <button @click="editUser(index)">Edit</button>
                <button @click="removeUser(index)">Delete</button>
                <button @click="updateUser">Update</button>
            </li>
        </ul>
        
    </div>
    <!--development version-->
    <script src="assets/vendor/vue.js"></script>
    <script src="assets/js/app.js"></script>
    
</body>
</html>